/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VMaelstromDef;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VMaelstromDefRecord extends TableRecordImpl<VMaelstromDefRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_maelstrom_def.taxonomy</code>.
     */
    public void setTaxonomy(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_maelstrom_def.taxonomy</code>.
     */
    public String getTaxonomy() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_maelstrom_def.catalogue</code>.
     */
    public void setCatalogue(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_maelstrom_def.catalogue</code>.
     */
    public String getCatalogue() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_maelstrom_def.term</code>.
     */
    public void setTerm(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_maelstrom_def.term</code>.
     */
    public String getTerm() {
        return (String) get(2);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VMaelstromDefRecord
     */
    public VMaelstromDefRecord() {
        super(VMaelstromDef.V_MAELSTROM_DEF);
    }

    /**
     * Create a detached, initialised VMaelstromDefRecord
     */
    public VMaelstromDefRecord(String taxonomy, String catalogue, String term) {
        super(VMaelstromDef.V_MAELSTROM_DEF);

        setTaxonomy(taxonomy);
        setCatalogue(catalogue);
        setTerm(term);
        resetChangedOnNotNull();
    }
}
